<div [ngClass]="darkmode? 'product' : 'product2'" [ngSwitch]="ngswitchby" class="product">

    <div class="icons">
        <div class="darkmode">
            <i mat-raised-button matTooltip=" حالت روز" (click)="darkmodefunctipn()" *ngIf="darkmode" class="fas fa-moon"></i>
            <i mat-raised-button matTooltip="حالت شب" (click)="darkmodefunctipn()" *ngIf="!darkmode" class="fas fa-sun"></i>
        </div>

        <i mat-raised-button matTooltip="بر روی  عکس  کلیک کنید تا اطلاعات ان را ببینید " class="fas fa-info-circle"></i>
    </div>



    <div class="Animals">

        <a href="#"><img mat-raised-button matTooltip="اطلاعات گربه" (click)="changeanimal('a')" class="Animal" src="assets/imganimals/3683.jpg" alt="cat"></a>
        <a href="#"><img mat-raised-button matTooltip="اطلاعات سگ" (click)="changeanimal('b')" class="Animal" src="assets/imganimals/golder-retriever-puppy.jpeg" alt="dog"></a>
        <a href="#"><img mat-raised-button matTooltip="اطلاعات ماهی" (click)="changeanimal('c')" class="Animal" src="assets/imganimals/marine-water-fish-500x500.jpg" alt="fish"></a>

    </div>
    <div style="display: flex;justify-content: center; margin-top: 30px;">
        <h3 [style.color]="ngswitchby=='a'? '#52f0ff':''">Cat &nbsp;</h3>
        <h3 [style.color]="ngswitchby=='b'? '#52f0ff':''">Dog &nbsp; </h3>
        <h3 [style.color]="ngswitchby=='c'? '#52f0ff':''">Fish</h3>

    </div>
    <i (click)="closeInformations()" mat-raised-button matTooltip="بستن اطلاعات" style="margin-left: 35px;" class="fas fa-times  times"></i>
    <div style="padding: 33px 33px  33px 33px;">
        <app-cat *ngSwitchCase="'a'"></app-cat>
        <app-dog *ngSwitchCase="'b'"></app-dog>
        <app-fish *ngSwitchCase="'c'"></app-fish>
    </div>

</div>